> ## Documentation Index
> Fetch the complete documentation index at: https://help.decodo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create sub user

> Create a new sub user for Residential subscription



## OpenAPI

````yaml /api-reference/jero_public_api.yaml post /v2/sub-users
openapi: 3.1.0
info:
  title: Smartproxy
  version: '1.2'
servers:
  - url: https://api.decodo.com
security:
  - sec0: []
tags:
  - name: Sub-users
    description: Manage sub-users for Residential subscription
  - name: Whitelisted IPs
    description: Manage whitelisted IPs for Residential subscription
  - name: Endpoints
    description: Manage and generate proxy endpoints
  - name: Subscriptions
    description: Subscription information
paths:
  /v2/sub-users:
    post:
      tags:
        - Sub-users
      summary: Create sub user
      description: Create a new sub user for Residential subscription
      operationId: create-sub-user
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - username
                - password
                - service_type
              properties:
                username:
                  type: string
                  description: >-
                    From 6 to 64 characters long. Only letters, numbers and
                    underscores allowed.
                  format: json
                password:
                  type: string
                  description: >-
                    Must include: 12 or more characters; at least one upper case
                    letter; one lower case letter; one number; one of these
                    symbols `_` `~` `+` `=` (`@` and `:` are not allowed).
                  format: json
                service_type:
                  type: string
                  description: ''
                  default: residential_proxies
                  enum:
                    - residential_proxies
                traffic_limit:
                  type: number
                  format: float
                auto_disable:
                  type: boolean
                  description: Disables subuser when the traffic limit is hit
                  default: false
                traffic_count_from:
                  type: string
                  description: >-
                    Handles subuser subscription traffic starting from the
                    specified date. Use date format yyyy-mm-dd hh:mm:ss.
                  format: date
      responses:
        '201':
          description: '201'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "error_code": "bad_request",
                      "message": "Can not process request",
                      "error": {
                        "username": "username must be between 3 and 64 characters. Only numbers, characters and underscore are allowed",
                        "password": "password must be between 9 and 64 characters and must contain at least one number. Symbols @ and : are invalid"
                      }
                    }
              schema:
                type: object
                properties:
                  error_code:
                    type: string
                    example: bad_request
                  message:
                    type: string
                    example: Can not process request
                  error:
                    type: object
                    properties:
                      username:
                        type: string
                        example: >-
                          username must be between 3 and 64 characters. Only
                          numbers, characters and underscore are allowed
                      password:
                        type: string
                        example: >-
                          password must be between 9 and 64 characters and must
                          contain at least one number. Symbols @ and : are
                          invalid
      deprecated: false
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````